### Method

# GdkWayland WaylandDisplay set_startup_notification_id

deprecated: 4.10.

#### Declaration [src]

    void
    gdk_wayland_display_set_startup_notification_id (
      GdkDisplay* display,
      const char* startup_id
    )

#### Description [src]

Sets the startup notification ID for a display.

This is usually taken from the value of the `DESKTOP_STARTUP_ID` environment variable, but in some cases (such as the application not being launched using exec()) it can come from other sources.

The startup ID is also what is used to signal that the startup is complete (for example, when opening a window or when calling `gdk_display_notify_startup_complete()`).

Deprecated since: 4.10.

Use `gdk_toplevel_set_startup_id()`.

#### Parameters

`startup_id`

  Type: `const char*`

  The startup notification ID (must be valid utf8).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.